Update Plan Catalog Entry
curl --request PATCH \
--url http://127.0.0.1:3333/v3/plans/{planId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/plans/{planId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/plans/{planId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "HOBBY",
"price": 123,
"prices": {
"brl": 123,
"usd": 123,
"eur": 123,
"gbp": 123
},
"creditsLimit": 123,
"seatsLimit": 123,
"storageLimit": 123,
"color": "<string>",
"badgeTone": "popular",
"badgeLabel": "<string>",
"displayOrder": 123,
"isPublic": true,
"displayName": "<string>",
"description": "<string>",
"ctaLabel": "<string>",
"features": [
"<string>"
],
"comparisonData": {
"usage": {
"bots": "unlimited",
"servers": "unlimited",
"guests": "unlimited"
},
"platform": {
"blocks": true,
"templates": true,
"files": true,
"folders": true,
"watermark": true,
"domains": true,
"export": true,
"js_css": true
},
"channels": {
"whatsapp_gateway": true,
"whatsapp_api": true,
"whatsapp_unlimited": true
},
"integrations": {
"webhooks": true,
"sheets": true,
"analytics": true,
"zapier": true,
"pabbly": true,
"make": true,
"emails": true
},
"support": {
"support_bot": true,
"support_email": true,
"support_priority": true,
"support_dedicated": true
}
},
"translations": {}
}{
"error": "<string>"
}{
"error": "<string>"
}Plans
Update Plan Catalog Entry
Update plan catalog entry.
PATCH
/
v3
/
plans
/
{planId}
Update Plan Catalog Entry
curl --request PATCH \
--url http://127.0.0.1:3333/v3/plans/{planId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/plans/{planId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/plans/{planId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "HOBBY",
"price": 123,
"prices": {
"brl": 123,
"usd": 123,
"eur": 123,
"gbp": 123
},
"creditsLimit": 123,
"seatsLimit": 123,
"storageLimit": 123,
"color": "<string>",
"badgeTone": "popular",
"badgeLabel": "<string>",
"displayOrder": 123,
"isPublic": true,
"displayName": "<string>",
"description": "<string>",
"ctaLabel": "<string>",
"features": [
"<string>"
],
"comparisonData": {
"usage": {
"bots": "unlimited",
"servers": "unlimited",
"guests": "unlimited"
},
"platform": {
"blocks": true,
"templates": true,
"files": true,
"folders": true,
"watermark": true,
"domains": true,
"export": true,
"js_css": true
},
"channels": {
"whatsapp_gateway": true,
"whatsapp_api": true,
"whatsapp_unlimited": true
},
"integrations": {
"webhooks": true,
"sheets": true,
"analytics": true,
"zapier": true,
"pabbly": true,
"make": true,
"emails": true
},
"support": {
"support_bot": true,
"support_email": true,
"support_priority": true,
"support_dedicated": true
}
},
"translations": {}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required range:
x > 0Query Parameters
Body
application/json
Required range:
x >= 0Show child attributes
Show child attributes
Required range:
x > 0Required range:
x > 0Required range:
x > 0Minimum string length:
1Available options:
popular, enterprise Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Default Response
Available options:
HOBBY, CORE, SCALE, DEDICATED Show child attributes
Show child attributes
Available options:
popular, enterprise Show child attributes
Show child attributes
Show child attributes
Show child attributes